gnutls_pkcs11_copy_pubkey(3)

NAME
gnutls_pkcs11_copy_pubkey - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_copy_pubkey(const char * token_url, gnutls_pubkey_t pubkey, const char * label, const gnutls_datum_t * cid, unsigned int key_usage, unsigned int flags);

ARGUMENTS

const char * token_url
    A PKCS 11 URL specifying a token

gnutls_pubkey_t pubkey
    The public key to copy

const char * label
    The name to be used for the stored data

const gnutls_datum_t * cid
    The CKA_ID to set for the object -if NULL, the ID will be derived from the public key

unsigned int key_usage
    One of GNUTLS_KEY_*

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_FLAG_*

DESCRIPTION
This function will copy a public key object into a PKCS 11 token specified by a URL. Valid flags to mark the key: GNUTLS_PKCS11_OBJ_FLAG_MARK_TRUSTED, GNUTLS_PKCS11_OBJ_FLAG_MARK_PRIVATE, GNUTLS_PKCS11_OBJ_FLAG_MARK_CA, GNUTLS_PKCS11_OBJ_FLAG_MARK_ALWAYS_AUTH.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.6

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2020 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/